# Interface IMatcher

实体匹配器接口

#### Hierarchy

- IMatcher

- Defined in assets/libs/ecs/ECS.ts:42

#####
Index

### Properties

indices
key
mid

### Methods

isMatch

## Properties

### indices

indices: number[]

- Defined in assets/libs/ecs/ECS.ts:44

### key

key: string

- Defined in assets/libs/ecs/ECS.ts:45

### mid

mid: number

- Defined in assets/libs/ecs/ECS.ts:43

## Methods

### isMatch

- isMatch(entity: ECSEntity ): boolean

- #### Parameters

  - ##### entity: ECSEntity

  #### Returns boolean

  - Defined in assets/libs/ecs/ECS.ts:46

Generated using TypeDoc